Bug 192015 - usb backend says 'Printer off-line'
usb backend says 'Printer off-line'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-05-16 16:06 EDT by Martin Donald
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2.2-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 04:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Excerpts from log file /var/log/cups/error_log (36.80 KB, application/octet-stream)
2006-05-16 16:06 EDT, Martin Donald
no flags Details
/var/log/cups/error_log (7.92 KB, text/plain)
2006-05-21 16:32 EDT, euphgeek
no flags Details
cups error log (60.33 KB, application/octet-stream)
2006-05-22 16:26 EDT, David Fletcher
no flags Details

  None (edit)
Description Martin Donald 2006-05-16 16:06:13 EDT
Description of problem:

Cannot print with Minolta PagePro1350w since updating to cups.i386 1:1.2.0-1.1


Version-Release number of selected component (if applicable):

cups .i386 1:1.2.0-1.1


How reproducible:

Far too solid. I cannot print anything now on this printer.


Steps to Reproduce:
1.Try to print
2.
3.
  
Actual results: Nothing printed


Expected results: Various prints including cups test prints


Additional info:

I use the min12xxw printer driver (in /usr/local/bin which is in my path).

I have not had trouble previously with this printert. Trouble only started with
the update to 

My Epson Stylus Color 880 does work. (It's old and clogged and I hate it)
Comment 1 Martin Donald 2006-05-16 16:06:13 EDT
Created attachment 129264 [details]
Excerpts from log file /var/log/cups/error_log
Comment 2 Tim Waugh 2006-05-17 07:18:32 EDT
That fact that you saw this log message:

W [15/May/2006:17:52:11 -0700] [Job 80] Printer off-line.

before updating CUPS leads me to suspect a kernel issue.

What does 'rpm -q --last kernel' say?
Comment 3 Martin Donald 2006-05-17 10:26:09 EDT
/home/mhd: rpm -q --last kernel
kernel-2.6.16-1.2111_FC5                      Sat 06 May 2006 11:24:55 PM PDT
kernel-2.6.16-1.2096_FC5                      Thu 20 Apr 2006 09:04:33 AM PDT
/home/mhd:

But I had printed successfully since upgrading the kernel
May 06 23:25:14 Installed: kernel.i686 2.6.16-1.2111_FC5

I have tried our other Minolta 1350w from my wife's Windows machine and the
problem remains. I have, of course turned on/off many times and
plugged/unplugged the cable.

I've not changed the cable though.

Changed cable now and still not able to print.

BTW I'm going of on a trip early tomorrow so will not be able to help in testing
until next Tuesday.
Comment 4 Tim Waugh 2006-05-17 12:23:37 EDT
Let's try using the CUPS-1.1.23 'usb' backend with CUPS-1.2 next.

Please fetch this file:

http://download.fedora.redhat.com//pub/fedora/linux/core/5/i386/os/Fedora/RPMS/cups-1.1.23-30.2.i386.rpm

Put it in /tmp.  Then, do this:

cd /tmp
rpm2cpio cups-1.1.23-30.2.i386.rpm | cpio -idv
su
(enter root password)
mv /usr/lib/cups/backend/usb /usr/lib/cups/backend/usb-1.2
install -m0700 usr/lib/cups/backend/usb /usr/lib/cups/backend/usb

Does it work to print now?
Comment 5 Martin Donald 2006-05-17 12:47:56 EDT
That does not make it work.
Comment 6 Tim Waugh 2006-05-17 12:59:58 EDT
How about wholesale downgrading cups, cups-libs, cups-devel and cups-lpd
(whichever of those you have installed)?

Fetch all the packages, from the location in comment #4, and use this command
line as root:

rpm -Uvh --oldpackage cups-1.1.23-30.2.i386.rpm \
  cups-libs-1.1.23-30.2.i386.rpm \
  cups-devel-1.1.23-30.2.i386.rpm \
  cups-lpd-1.1.23-30.2.i386.rpm

(obviously, only the ones you've downloaded)

Then restart cups with '/sbin/service cups restart' and try again.
Comment 7 Martin Donald 2006-05-17 13:22:40 EDT
[root@localhost tmp]# rpm -Uvh --oldpackage cups-1.1.23-30.2.i386.rpm \
>   cups-libs-1.1.23-30.2.i386.rpm \
>   cups-devel-1.1.23-30.2.i386.rpm \
>   cups-lpd-1.1.23-30.2.i386.rpm

error: Failed dependencies:
        xinetd is needed by cups-lpd-1.1.23-30.2.i386
[root@localhost tmp]#


I did not have the cups-lpd originally
Comment 8 Martin Donald 2006-05-17 13:32:22 EDT
I installed those packages except for the cups-lpd package, restarted as
suggested and tried again.

No luck.
Comment 9 Tim Waugh 2006-05-17 13:45:22 EDT
Must be a kernel problem then.
Comment 10 Martin Donald 2006-05-17 13:50:53 EDT
It had printed fine though after the kernel upgrade.

It does seem strange that we have gone back with cups to where we were before
the update. Is it just possible that the other updates could have interfered

May 15 19:28:47 Updated: cups-libs.i386 1:1.2.0-1.1
May 15 19:28:48 Updated: libsane-hpaio.i386 0.9.11-1.1
May 15 19:28:49 Updated: hpijs.i386 1:0.9.11-1.1
May 15 19:29:06 Updated: hplip.i386 0.9.11-1.1
May 15 19:29:19 Updated: cups.i386 1:1.2.0-1.1
Comment 11 Tim Waugh 2006-05-18 06:39:30 EDT
To disable HPLIP, do:
  /sbin/chkconfig hplip off
and then restart the machine or else run:
  /sbin/service hplip stop
  /sbin/rmmod usblp
  /sbin/modprobe usblp

HPLIP is only meant to interact with HP devices though, so I don't expect it to
make a difference.
Comment 12 David Fletcher 2006-05-21 08:01:07 EDT
Don't think it's just the Konica Minolta. I've got an Epson Stylus Photo 950,
and that's recently stopped working completely. I've tried removing and
reinstalling with both localhost:631 and settings-PrintingManager, with both
parallel and USB ports, and I cannot get either to work. A test job appears in
the job queue but it never prints.

I've upgraded cups from here:-

http://people.redhat.com/twaugh/tmp/cups-fc5/

as advised in another bug, the version is now 1.2.0-1.3

It still won't work. The test job just sits there in the queue saying
"Processing..." for ever.
Comment 13 Tim Waugh 2006-05-21 12:22:10 EDT
David, could you please attach your /var/log/cups/error_log file?
Comment 14 euphgeek 2006-05-21 16:28:51 EDT
I, too am experiencing this problem.  When I tried to run lpq or lpstat I get
the error, "Unable to connect to server".  When I run system-config-printer and
try to print a test page it comes back with the error, "There was a problem
sending CUPS test page to 'hp' queue: /usr/bin/lpr: No such file or directory".
 When I do a ls -l /usr/bin/lpr I get:

$ ls -l /usr/bin/lpr
lrwxrwxrwx 1 root root 23 Feb  7  2004 /usr/bin/lpr -> /etc/alternatives/print

My rpm -q --last kernel returns this:

kernel-2.6.16-1.2111_FC5                      Fri 05 May 2006 10:34:25 PM EDT
kernel-2.6.15-1.2054_FC5                      Tue 21 Mar 2006 02:14:18 PM EST

I will attach a copy of my /var/log/cups/error_log.
Comment 15 euphgeek 2006-05-21 16:32:36 EDT
Created attachment 129784 [details]
/var/log/cups/error_log

My printer is an HP DeskJet 812C
Comment 16 Tim Waugh 2006-05-21 17:45:01 EDT
Setting summary to better describe the original problem reported.
Comment 17 Tim Waugh 2006-05-21 17:53:09 EDT
euphgeek: sounds like there was a problem running the upgrade script.  Please
file a separate bug report about this.
Comment 18 David Fletcher 2006-05-22 16:26:33 EDT
Created attachment 129827 [details]
cups error log

This is the log as it was today, when I saw the request. I've not messed about
with cups any more.

If a specific test is wanted, just ask, and I'll wipe the logs and do what's
requested to find out what's wrong.
Comment 19 Tim Waugh 2006-05-22 17:22:34 EDT
David: your problem is different; it is similar to bug #192548 -- please attach
your /etc/cups/cupsd.conf file to that bug report.  Thanks!
Comment 20 Martin Donald 2006-05-26 00:36:35 EDT
I have got my Minolta PP 1350W to print now. After struggling for two days I
reverted to the backend of cups-1.1.23-30.2. as suggested by you in comment#4.

I had very soon determined that I could talk to the printer by the command

min12xxw -m 1350W -d /dev/usb/lp0 -s

/tmp:min12xxw -m 1350W -d /dev/usb/lp0 -s
printer status: OMFG:KONICA MINOLTA;CMD:NA;MDL:PP1350W;CLS:PRINTER;DES:KONICA
MINOLTA PP1350W;
controller firmware version: 3716
engine firmware version: 413650G10200
page counter: 475 pages

I was also able to print by using the driver min12xxw directly.

gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE -sPAPERSIZE=letter  -r600 
-sDEVICE=pbmraw  -sOutputFile=-  -  < test.ps  | min12xxw -r 600 -m1350W >
/dev/usb/lp0

showing that the printer driver was working and the kernel was happy.

While my Epson printer on /dev/usb/lp1 worked, my Minolta printer on
/dev/usb/lp0 did not.

I tried every combination of permissions and ownership that I could without
success. I also recompiled the driver and got a new ppd.

I now have a working printer with cups release cups-1.2.1-1.2 but with
/usr/lib/cups/backend/usb from release 1.1.23-30.2. Perhaps I did not restart
cups with my first try with this backend.



I suspect that something is being added to the data that the Minolta does not
like but is accepted by the Epson.


P.S. I've just checked again:

usb from 1.2.1 fails again
usb from 1.1.23 works







Comment 21 Tim Waugh 2006-05-26 06:46:08 EDT
When you try printing through the 1.2.1 usb backend, you still get the 'Printer
off-line' messages?  And not with the 1.1.23 usb backend?
Comment 22 Martin Donald 2006-05-26 12:50:10 EDT
That is correct.

I went from working condition with 1.1.23 backend to not working with 1.2.1
backend then to working again with 1.1.23 backend.

with the 1.2.1 backend the printer is taken offline and I have to clear the
queue and reenable with "cupsenable minolta".
Comment 23 Tim Waugh 2006-06-01 07:17:34 EDT
Reported upstream:

  http://cups.org/str.php?L1738
Comment 24 Tim Waugh 2006-06-02 10:39:12 EDT
What does the line for this printer from the output of '/usr/sbin/lpinfo -v' say?
Comment 25 Martin Donald 2006-06-02 13:09:47 EDT
/home/mhd: /usr/sbin/lpinfo -v
network socket
network beh
network http
network ipp
direct
hal:///org/freedesktop/Hal/devices/usb_device_686_300b_noserial_if0_printer_noserial
direct usb://KONICA%20MINOLTA/PP1350W
direct usb://KONICA%20MINOLTA/PP1350W
network lpd
direct parallel:/dev/lp0
direct scsi
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyS1?baud=115200
serial serial:/dev/ttyS2?baud=115200
serial serial:/dev/ttyS3?baud=115200
network smb


n.b. I have rechecked (with later printer driver min12xxw-0.0.9) and I still
find that backend from cups-1.1.23 works and cups-1.2.1 does not. I'm presently
on backend from cups-1.1.23
Comment 26 Martin Donald 2006-06-14 22:26:49 EDT
Updated to cups-1.2.1-1.7

Still the same problem. The Minolta will not print, printer goes offline.

Installed /usr/lib/cups/backend/usb from cups-1.1.23-30.2 and Minolta prints again.

Martin.
Comment 27 Tim Waugh 2006-07-14 12:19:45 EDT
I've pushed a test update for FC5, cups-1.2.1-1.12, which hopefully fixes this
problem.
Comment 28 Martin Donald 2006-07-15 00:28:08 EDT
This bug has finally been laid to rest (at least for me)

I updated to 
cups-1.2.1-1.2.i386.rpm
cups-devel-1.2.1-1.2.i386.rpm
cups-libs-1.2.1-1.2.i386.rpm

restarted cups and my minolta printer worked.

To make sure I rebooted and it still works.

Thank you so much Tim for being so persistant and squashing this thing.

Martin.
Comment 29 Martin Donald 2006-08-06 15:19:20 EDT
I updated to cups 1.2.2-1.1 (restarted cups) and my printing to the Minolta
still works fine.

Martin.

Note You need to log in before you can comment on or make changes to this bug.